org.wildfly.swarm.config.management.security_realm

## Class BySearchTimeCache<T extends BySearchTimeCache<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.BySearchTimeCache<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class BySearchTimeCache<T extends BySearchTimeCache<T>>
      extends HashMap

  A cache to hold the results of previous LDAP interactions.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BySearchTimeCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `cacheFailures()` Should failures be cached?
    `T` | `cacheFailures(Boolean value)` Should failures be cached?
    `Integer` | `cacheSize()` The current size of the cache.
    `T` | `cacheSize(Integer value)` The current size of the cache.
    `Integer` | `evictionTime()` The time in seconds until an entry should be evicted from the cache.
    `T` | `evictionTime(Integer value)` The time in seconds until an entry should be evicted from the cache.
    `String` | `getKey()`
    `Integer` | `maxCacheSize()` The maximum size of the cache before the oldest items are removed to make room for new entries.
    `T` | `maxCacheSize(Integer value)` The maximum size of the cache before the oldest items are removed to make room for new entries.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### BySearchTimeCache

          public BySearchTimeCache()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### cacheFailures

          public Boolean cacheFailures()

      Should failures be cached?

    - #### cacheFailures

          public T cacheFailures(Boolean value)

      Should failures be cached?

    - #### cacheSize

          public Integer cacheSize()

      The current size of the cache.

    - #### cacheSize

          public T cacheSize(Integer value)

      The current size of the cache.

    - #### evictionTime

          public Integer evictionTime()

      The time in seconds until an entry should be evicted from the cache.

    - #### evictionTime

          public T evictionTime(Integer value)

      The time in seconds until an entry should be evicted from the cache.

    - #### maxCacheSize

          public Integer maxCacheSize()

      The maximum size of the cache before the oldest items are removed to make room for new entries.

    - #### maxCacheSize

          public T maxCacheSize(Integer value)

      The maximum size of the cache before the oldest items are removed to make room for new entries.

Copyright © 2017 JBoss by Red Hat. All rights reserved.